sayren Docs
Order items

Cancel by seller

POST
/v1/order-items/{orderItemId}/cancel
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

orderItemId*string

Header Parameters

idempotency-key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reason*string

Value in

  • "OUT_OF_STOCK"
  • "PRICE_ERROR"
  • "DELIVERY_IMPOSSIBLE"
  • "ETC"
detail?string
Lengthlength <= 500

Response Body

application/json

curl -X POST "https://example.com/v1/order-items/string/cancel" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "reason": "OUT_OF_STOCK"  }'
{  "meta": {    "status": 0,    "code": "OK",    "message": "string",    "isSuccess": true  },  "data": {    "orderItemId": "string",    "refundAmount": -9007199254740991,    "refundedAt": "string"  },  "error": null}